Bug 499483 - Review Request: python-repoze-who-testutil - Test utilities for repoze.who-powered applications
Review Request: python-repoze-who-testutil - Test utilities for repoze.who-po...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Brennan Ashton
Fedora Extras Quality Assurance
:
Depends On: 468227
Blocks: 479020
  Show dependency treegraph
 
Reported: 2009-05-06 16:13 EDT by Tom "spot" Callaway
Modified: 2009-05-28 04:11 EDT (History)
3 users (show)

See Also:
Fixed In Version: 1.0-0.2.rc1.fc10
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-05-28 04:05:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
bashton: fedora‑review+
tcallawa: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Tom "spot" Callaway 2009-05-06 16:13:30 EDT
Spec URL: http://www.auroralinux.org/people/spot/review/new/python-repoze-who-testutil.spec
SRPM URL: http://www.auroralinux.org/people/spot/review/new/python-repoze-who-testutil-1.0-0.1.rc1.fc11.src.rpm
Description: 
repoze.who-testutil is a repoze.who plugin which modifies repoze.who‘s
original middleware to make it easier to forge authentication, without
bypassing identification (this is, running the metadata providers).
It’s been created in order to ease testing of repoze.who-powered
applications, in a way independent of the identifiers, authenticators
and challengers used originally by your application, so that you won’t have
to update your test suite as your application grows and the authentication
method changes.
Comment 1 Brennan Ashton 2009-05-23 22:45:33 EDT
[pass] source files match upstream:
62ff8edc30992cd2efc42fd973252c9deddfe29b2a53b7cf903743edcb356ab8  repoze.who-testutil-1.0rc1.tar.gz

[pass] package meets naming and versioning guidelines.
[pass] specfile is properly named, is cleanly written and uses macros consistently.
[pass] dist tag is present.
[pass] build root is correct.
 %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

[?] license field matches the actual license.
the license shown is BSD, but the actual license is a BSD like license is this ok. http://www.repoze.org/LICENSE.txt
[?]license is open source-compatible.
see above
[?]license text not included upstream.
 setup.py in the source says that http://www.repoze.org/LICENSE.txt must be distributed with it.

[pass] latest version is being packaged.
[pass] BuildRequires are proper.
[pass] compiler flags are appropriate.
[pass] %clean is present.
package builds in mock.
(cannot do this due to dep not yet in the repos) build fine outside of mock.
[pass] package installs properly.
[pass] rpmlint is silent.
2 packages and 1 specfiles checked; 0 errors, 0 warnings.

[pass] final provides and requires are sane:
rpm -qp --requires ../RPMS/noarch/python-repoze-who-testutil-1.0-0.1.rc1.fc10.noarch.rpm 
python(abi) = 2.5
python-paste-deploy  
python-repoze-who  
python-zope-interface  
rpmlib(CompressedFileNames) <= 3.0.4-1
rpmlib(PartialHardlinkSets) <= 4.0.4-1
rpmlib(PayloadFilesHavePrefix) <= 4.0-1

rpm -qp --provides ../RPMS/noarch/python-repoze-who-testutil-1.0-0.1.rc1.fc10.noarch.rpm 
python-repoze-who-testutil = 1.0-0.1.rc1.fc10


[broken] %check is present and all tests pass:
Has upstream been informed that they do not work so that they can be fixed in future releases?

[pass] owns the directories it creates.
[pass] doesn't own any directories it shouldn't.
[pass] no duplicates in %files.
[pass] file permissions are appropriate.

[pass] code, not content.
[pass] documentation is small, so no -docs subpackage is necessary.
[pass] %docs are not necessary for the proper functioning of the package.
[pass not a GUI app] desktop files valid and installed properly.

Take a look at the license comments that I made. I think it is fine, and if it looks right to use I APPROVE.
Comment 2 Tom "spot" Callaway 2009-05-27 11:35:17 EDT
New Package CVS Request
=======================
Package Name: python-repoze-who-testutil
Short Description: Test utilities for repoze.who-powered applications
Owners: spot
Branches: EL-5 F-10 F-11 devel
InitialCC: 

...and it's done.
Comment 3 Fedora Update System 2009-05-27 12:37:04 EDT
python-repoze-who-testutil-1.0-0.2.rc1.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/python-repoze-who-testutil-1.0-0.2.rc1.fc10
Comment 4 Fedora Update System 2009-05-27 12:37:08 EDT
python-repoze-who-testutil-1.0-0.2.rc1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/python-repoze-who-testutil-1.0-0.2.rc1.fc11
Comment 5 Fedora Update System 2009-05-28 04:05:06 EDT
python-repoze-who-testutil-1.0-0.2.rc1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Fedora Update System 2009-05-28 04:11:31 EDT
python-repoze-who-testutil-1.0-0.2.rc1.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.